> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /xing/users

> Get XING member profile by page name or profile URL

**Price:** 10 credits

**⚠️ Common errors:** 412: Profile not found



## OpenAPI

````yaml /openapi/professional-network.json post /api/xing/users
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/xing/users:
    post:
      tags:
        - /xing
      summary: /xing/users
      description: |-
        Get XING member profile by page name or profile URL

        **Price:** 10 credits

        **⚠️ Common errors:** 412: Profile not found
      operationId: __api_xing_users_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/XingUsersPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/XingUser'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    XingUsersPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        user:
          type: string
          minLength: 1
        lang:
          $ref: '#/components/schemas/XingLang'
          default: de
      type: object
      required:
        - user
    XingUser:
      properties:
        '@type':
          type: string
          default: XingUser
        id:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          type: string
        first_name:
          anyOf:
            - type: string
            - type: 'null'
        last_name:
          anyOf:
            - type: string
            - type: 'null'
        display_name:
          anyOf:
            - type: string
            - type: 'null'
        academic_title:
          anyOf:
            - type: string
            - type: 'null'
        gender:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        display_flag:
          anyOf:
            - type: string
            - type: 'null'
        quality_index:
          anyOf:
            - type: number
            - type: 'null'
        headline:
          anyOf:
            - type: string
            - type: 'null'
        job_title:
          anyOf:
            - type: string
            - type: 'null'
        occupation_summary:
          anyOf:
            - type: string
            - type: 'null'
        current_company:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        display_location:
          anyOf:
            - type: string
            - type: 'null'
        work_experience:
          items:
            $ref: '#/components/schemas/XingWorkExperience'
          type: array
          default: []
        education:
          items:
            $ref: '#/components/schemas/XingEducation'
          type: array
          default: []
        skills:
          items:
            type: string
          type: array
          default: []
        languages:
          items:
            $ref: '#/components/schemas/XingLanguageSkill'
          type: array
          default: []
      type: object
      required:
        - alias
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    XingLang:
      type: string
      enum:
        - de
        - en
    XingWorkExperience:
      properties:
        '@type':
          type: string
          default: XingWorkExperience
        job_title:
          anyOf:
            - type: string
            - type: 'null'
        company_name:
          anyOf:
            - type: string
            - type: 'null'
        company_alias:
          anyOf:
            - type: string
            - type: 'null'
        company_url:
          anyOf:
            - type: string
            - type: 'null'
        company_image:
          anyOf:
            - type: string
            - type: 'null'
        company_notes:
          anyOf:
            - type: string
            - type: 'null'
        is_current:
          anyOf:
            - type: boolean
            - type: 'null'
        begin_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    XingEducation:
      properties:
        '@type':
          type: string
          default: XingEducation
        subject:
          anyOf:
            - type: string
            - type: 'null'
        degree:
          anyOf:
            - type: string
            - type: 'null'
        school_name:
          anyOf:
            - type: string
            - type: 'null'
        school_notes:
          anyOf:
            - type: string
            - type: 'null'
        begin_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: string
            - type: 'null'
        is_primary:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    XingLanguageSkill:
      properties:
        '@type':
          type: string
          default: XingLanguageSkill
        language:
          anyOf:
            - type: string
            - type: 'null'
        display_language:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````